%define subrel 2

Summary:	Lightweight VTE-based terminal emulator
Name:     	lxterminal
Version:	0.1.11
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/Other
Source0:	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz
Patch1:         lxterminal-0.1.9-fix-default-font-color.patch
Patch2:         lxterminal-0.1.11-fix-ctrl-shift-also-acting-as-ctrl.patch
Patch3:         lxterminal-0.1.11-CVE-2016-10369.patch
URL:		http://lxde.sourceforge.net/
BuildRequires:	gtk+2-devel 
BuildRequires:	vte-devel
BuildRequires:	intltool

%description
Desktop-independent VTE-based terminal emulator without any unnecessary
dependencies.
 
Feature:
* Support Multi-tab.
* It doesn't have any unnecessary dependencies.
* All instances share the same process to reduce memory usage.
* It has correct behavior with nice performance when resizing window,
  tab and VTE stuff.
* Using unix-socket instead of D-bus to accomplish all instances share
  the same process.

%prep
%setup -q
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%{find_lang} %{name}

%files -f %{name}.lang
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/*




%changelog
* Wed May 10 2017 ns80 <ns80> 0.1.11-5.2.mga5
+ Revision: 1099971
- add a patch for CVE-2016-10369 (mga#20815)
- add patch fix-ctrl-shift-also-acting-as-ctrl (mga#17811)

* Wed Oct 15 2014 umeabot <umeabot> 0.1.11-5.mga5
+ Revision: 738806
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.11-4.mga5
+ Revision: 682103
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.11-3.mga4
+ Revision: 507661
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.11-2.mga3
+ Revision: 359223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 04 2011 fwang <fwang> 0.1.11-1.mga2
+ Revision: 131695
- new version 0.1.11 (drop merged patches)

* Sun Apr 24 2011 dmorgan <dmorgan> 0.1.9-4.mga1
+ Revision: 90027
- Set default opacity to 100%% ( Ubuntu)

* Sun Apr 24 2011 dmorgan <dmorgan> 0.1.9-3.mga1
+ Revision: 90023
- Really fix default font color

* Sat Apr 23 2011 dmorgan <dmorgan> 0.1.9-2.mga1
+ Revision: 90003
- Fix default color for the fonts ( #407)

* Fri Feb 04 2011 ahmad <ahmad> 0.1.9-1.mga1
+ Revision: 46942
- imported package lxterminal


* Thu Sep 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-1mdv2011.0
+ Revision: 575530
- update to 0.1.9
- add patch from upstream to make it build with latest vte

* Mon Jul 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.8-1mdv2011.0
+ Revision: 555006
- update to 0.1.8

* Mon Mar 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.7-1mdv2010.1
+ Revision: 513285
- new upstream release 0.1.7

* Mon Jul 13 2009 Funda Wang <fwang@mandriva.org> 0.1.6-1mdv2010.0
+ Revision: 395471
- new version 0.1.6

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 0.1.5-3mdv2010.0
+ Revision: 384691
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.1.5-2mdv2010.0
+ Revision: 382167
- rebuild for new libvte

* Sat May 23 2009 Funda Wang <fwang@mandriva.org> 0.1.5-1mdv2010.0
+ Revision: 378898
- New version 0.1.5

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 0.1.4-1mdv2009.1
+ Revision: 319294
- new version 0.1.4

* Tue Dec 16 2008 Funda Wang <fwang@mandriva.org> 0.1.3-2mdv2009.1
+ Revision: 314828
- add upstream patch to rebuild with new flags

* Sat Jun 28 2008 Funda Wang <fwang@mandriva.org> 0.1.3-1mdv2009.0
+ Revision: 229717
- New version 0.1.3

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2009.0
+ Revision: 227652
- BR intltool
- import lxterminal


